ObjectARX
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

How to add a custom component to a wall?

0 REPLIES 0
Reply
Message 1 of 1
sniMD547
221 Views, 0 Replies

How to add a custom component to a wall?

Hi,

 

I want to replace a wall with a solid representation.

But when I add the solid as a custom geometry component to my wall, the wall is not replaced by the solid.

Everything compiles fine and the ErrorStatus is always eOk. Do I need to update the wall representation or something like that?

 

Here is my code snippet:

 

AecWallCustomGeometryBody* pCustomGeom = new AecWallCustomGeometryBody;

pCustomGeom->setComponentId(0);

pCustomGeom->setOperationType(AecWallCustomGeometry::kReplace);

 

AecModelerBody solidBody(pSolid);

Body* pBody = solidBody.getAModelerBody();

 

pCustomGeom->setBody(*pBody);

 

pWall->addCustomGeometryComponent(pCustomGeom);

 

pSpace->appendAcDbEntity(pWall);

 

Thanks in advance

0 REPLIES 0

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost